<?php
/**
* Class to create popups/questionnaires
*/
class Pm_Lead_Filter_Campaign_Create
{
	
	function __construct( $options )
	{
		$this->options = $options;
		$this->campaigns = get_option('pm_lead_filter_campaigns');
	}

	public function DisplayListing() {
		$this->CreateCampaignButton();
		?>
		<div id="pm-lead-filter-campaign-list">
			<table id="pm-lead-filter-listing">
				<thead>
					<th>ID</th>
					<th>Campaign</th>
					<th></th>
					<th></th>
					<th></th>
				</thead>
				<tbody>
					<?php
					if( !empty( $this->campaigns ) )
						foreach ($this->campaigns as $k => $v) { ?>
							<tr class="campaign-item">
								<td><?php echo stripslashes( $k ); ?></td>
								<td><?php echo stripslashes( $v['campaign_name'] ); ?></td>
								<td><span class="button button-secondary dupCampaign" data-campaignid="<?php echo $k; ?>"><?php _e('Duplicate', 'pm-lead-filter'); ?></span></td>
								<td><span class="button button-secondary editCampaign" data-campaignid="<?php echo $k; ?>"><?php _e('Edit', 'pm-lead-filter'); ?></span></td>
								<td><span class="button button-secondary delCampaign" data-campaignid="<?php echo $k; ?>"><?php _e('Delete', 'pm-lead-filter'); ?></span></td>
							</tr>
					<?php } ?>
				</tbody>
			</table>
		</div>
		<?php
	}

	private function CreateCampaignButton() {
		?>
		<div id="pm-lead-filter-create-new" class="button button-secondary"><?php _e('Create Campaign', 'pm-lead-filter'); ?></div>
		<?php
	}

	public function newCampaign() {
		$args = array(
			'template_id' => 'pm-lead-filter-modal',
			'title' => __('Create New Campaign', 'pm-lead-filter'),
			'btn_id' => 'save-campaign',
			'btn_class' => 'save-campaign',
			'btn_txt' => __('Save', 'pm-lead-filter'),
			'campaignid' => ''
			);
		$this->modal_content($args);
	}

	private function modal_content( $args ) {
		?>
		<script type="text/template" id="tmpl-<?php echo $args['template_id']; ?>">
			<h1 id="campaign-title"><?php echo $args['title']; ?></h1>
			<div class="pm-lead-filter-modal-container">
				<div id="campaign-header">
					<label><?php _e('Campaign Name', 'pm-lead-filter'); ?></label>
					<input type="text" id="campaign-name" class="large-text">
				</div>
				<div class="campaign-options">
					<div id="campaign-editor">
						<h3><?php _e('Content', 'pm-lead-filter'); ?></h3>
						<textarea name="campaign-content" id="campaign-content" cols="30" rows="10"></textarea>
					</div>
					<div id="background-options">
						<label><?php _e('Background', 'pm-lead-filter'); ?></label>
						<select name="background-type" id="background-type">
							<option value="0"><?php _e('Select', 'pm-lead-filter'); ?></option>
							<option value="color">Color</option>
							<option value="image">Image</option>
						</select>
						<div id="background-color-opts" class="pm_lead_filter_hidden">
							<label><?php _e('Color', 'pm-lead-filter'); ?></label>
							<input type="text" id="background-color" class="color-picker">
						</div>
						<div id="background-image-opts" class="pm_lead_filter_hidden">
							<label><?php _e('Image', 'pm-lead-filter'); ?></label>
							<div class="selected-background-image"></div>
							<button class="button button-secondary choose-campaign-img button-large"><?php _e('Choose Image', 'pm-lead-filter'); ?></button>
							<input type="text" id="campaign-bg-img">
						</div>
						<label><?php _e('Text Color', 'pm-lead-filter'); ?></label>
						<input type="text" id="content-text-color" class="color-picker">
					</div>
					<div id="other-campaign-opts">
						<label><?php _e('Popup delay (seconds)', 'pm-lead-filter'); ?></label>
						<input type="text" id="popup-delay" class="campaign-opts small-text">
						<label><?php _e('Cookie Duration', 'pm-lead-filter'); ?></label>
						<input type="text" id="cookie-duration" class="campaign-opts small-text">
					</div>
				</div>
				<div id="button1" class="campaign-options">
					<h3><?php _e('Button 1', 'pm-lead-filter'); ?></h3>
					<div class="button-attributes">
						<label><?php _e('Label', 'pm-lead-filter'); ?></label>
						<input type="text" id="label_button1">
					</div>
					<div class="button-attributes">
						<label><?php _e('Text Color', 'pm-lead-filter'); ?></label>
						<input type="text" id="text_color_btn1" class="color-picker">
					</div>
					<div class="button-attributes">
						<label><?php _e('Color', 'pm-lead-filter'); ?></label>
						<input type="text" id="color_btn1" class="color-picker">
					</div>
					<div class="button-attributes">
						<label><?php _e('Call To Action', 'pm-lead-filter'); ?></label>
						<textarea id="cta-btn1"></textarea>
					</div>
					<div class="button-attributes">
						<label><?php _e('Email Service', 'pm-lead-filter'); ?></label>
						<select name="emailService" id="service-btn1" class="email-service">
							<option value="0"><?php _e('Select', 'pm-lead-filter'); ?></option>
							<option value="aw">Aweber</option>
							<option value="html">HTML</option>
							<option value="mc">Mailchimp</option>
						</select>
						<div id="list-btn1" class="list-selection">
							<div class="preloader"></div>
						</div>
						<fieldset class="subscription-opts"><legend>Note  <span class="more-info">*</span></legend>
						<label><input type="checkbox" id="noNameField-btn1" value="1">Remove Name Field</label>
						<label><?php _e('Optin Button Label', 'pm-lead-filter'); ?></label>
						<input type="text" id="optin-label-btn1" placeholder="<?php _e('Subscribe', 'pm-lead-filter'); ?>">
						<label><?php _e('Thank You Message', 'pm-lead-filter'); ?></label>
						<textarea name="thank_msg_btn1" id="thank-msg-btn1" placeholder="<?php _e('Thank you. Please check your email for further instructions.', 'pm-lead-filter'); ?>"></textarea>
						<label><?php _e('Already Subscribed Message', 'pm-lead-filter'); ?></label>
						<textarea name="subbed_msg_btn1" id="subbed-msg-btn1" placeholder="<?php _e('You are already subscribed.', 'pm-lead-filter'); ?>"></textarea></fieldset>
					</div>
				</div>
				<div id="button2" class="campaign-options">
					<h3><?php _e('Button 2', 'pm-lead-filter'); ?></h3>
					<div class="button-attributes">
						<label><?php _e('Label', 'pm-lead-filter'); ?></label>
						<input type="text" id="label_button2">
					</div>
					<div class="button-attributes">
						<label><?php _e('Text Color', 'pm-lead-filter'); ?></label>
						<input type="text" id="text_color_btn2" class="color-picker">
					</div>
					<div class="button-attributes">
						<label><?php _e('Color', 'pm-lead-filter'); ?></label>
						<input type="text" id="color_btn2" class="color-picker">
					</div>
					<div class="button-attributes">
						<label><?php _e('Call To Action', 'pm-lead-filter'); ?></label>
						<textarea id="cta-btn2"></textarea>
					</div>
					<div class="button-attributes">
						<label><?php _e('Email Service', 'pm-lead-filter'); ?></label>
						<select name="emailService" id="service-btn2" class="email-service">
							<option value="0"><?php _e('Select', 'pm-lead-filter'); ?></option>
							<option value="aw">Aweber</option>
							<option value="html">HTML</option>
							<option value="mc">Mailchimp</option>
						</select>
						<div id="list-btn2" class="list-selection">
							<div class="preloader"></div>
						</div>
						<fieldset class="subscription-opts"><legend>Note  <span class="more-info">*</span></legend>
						<label><input type="checkbox" id="noNameField-btn2" value="1">Remove Name Field <span class="more-info">*</span></label>
						<label><?php _e('Optin Button Label', 'pm-lead-filter'); ?> <span class="more-info">*</span></label>
						<input type="text" id="optin-label-btn2" placeholder="<?php _e('Subscribe', 'pm-lead-filter'); ?>">
						<label><?php _e('Thank You Message', 'pm-lead-filter'); ?> <span class="more-info">*</span></label>
						<textarea placeholder="<?php _e('Thank you. Please check your email for further instructions.', 'pm-lead-filter'); ?>" name="thank_msg_btn2" id="thank-msg-btn2"></textarea>
						<label><?php _e('Already Subscribed Message', 'pm-lead-filter'); ?> <span class="more-info">*</span></label>
						<textarea name="subbed_msg_btn2" id="subbed-msg-btn2" placeholder="<?php _e('You are already subscribed.', 'pm-lead-filter'); ?>"></textarea>
						</fieldset>
					</div>
				</div>
				<div id="campaign-footer">
					<p class="explanation"><span class="more-info">*</span> Does not apply for HTML forms</p>
					<span id="<?php echo $args['btn_id']; ?>" class="button button-primary button-large" data-campaignid="<?php echo $args['campaignid'] ?>" data-operation=""><?php echo $args['btn_txt']; ?></span>
				</div>
			</div>
		</script>
		<?php
	}

	public function get_email_lists() {
		$options = $this->options->get('email_services');
		$mailservice = ( empty($_POST['mailservice']) ) ? '' : sanitize_text_field( $_POST['mailservice'] ) ;
		$button = ( !empty( $_POST['button'] ) && ( $_POST['button'] === 'service-btn1' ) ) ? 'btn1' : 'btn2' ;

		if( $mailservice === 'aw' ) {
			$aweber = new Pmill_Aweber_Api( $options );

			//echo print_r( $aweber->get_lists_in_account() );
			?>
			<select id="select-list-<?php echo $button; ?>" name="emailList" class="pm-lead-filter-optin">
				<option value="none">Select list</option>
				<?php
				foreach ( $aweber->get_lists_in_account() as $key ) { ?>
					<option value="<?php echo $key['id']; ?>"><?php echo $key['name']; ?></option>
				<?php }	?>
			</select>
			<?php
		} elseif ( $mailservice === 'html' ) {
			?>
			<textarea id="select-list-<?php echo $button; ?>" placeholder="Enter your HTML form code"></textarea>
			<?php
		} elseif ( $mailservice === 'mc' ) {
			$mailchimp = new Pmill_Mailchimp_Api( $options );			
			?>
			<select id="select-list-<?php echo $button; ?>" class="pm-lead-filter-optin">
				<option value="none">Select list</option>
				<?php
				foreach ( $mailchimp->get_lists() as $key ) { ?>
					<option value="<?php echo $key->id; ?>"><?php echo $key->name; ?></option>
				<?php }	?>
			</select>
			<?php
		}

		die();
	}

	public function run() {
		add_action( 'wp_ajax_pm_lead_filter_get_lists', array( $this, 'get_email_lists' ) );
	}

}