
// http://www.sitepoint.com/introduction-gulp-js/
// include gulp
var gulp = require('gulp'),
	replace = require('gulp-replace'),
	concat = require('gulp-concat'),
	stripDebug = require('gulp-strip-debug'),
	uglify = require('gulp-uglify'),
	minifyCSS = require('gulp-minify-css'),
	livereload = require('gulp-livereload');

// JS concat, strip debugging and minify admin JS
gulp.task('publicscripts', function() {
	gulp.src(['public/js/magnific-popup.js', 'public/js/detectmobilebrowser.js', 'public/js/pm-lead-filter.js'])
	.pipe(concat('pm-lead-filter-public.js'))
	//.pipe(stripDebug())
	.pipe(uglify())
	.pipe(gulp.dest('public/js'));
});

// Concat CSS
gulp.task('publicstyles', function() {
	gulp.src(['public/css/magnific-popup.css', 'public/css/pm-lead-filter.css'])
	.pipe(concat('pm-lead-filter-public.css'))
	.pipe(minifyCSS())
	.pipe(gulp.dest('public/css/'));
});

// Copy Dir
gulp.task('copy', function(cb) {
	return gulp.src(
		'pm-lead-filter/**/*'
		)
		.pipe(gulp.dest('/Users/lyn/MAIN/01 PM/plugins/unbranded/privatelabel/pm-lead-filter'));
		cb(err);
});

// Unbrand It
gulp.task('unbrand', ['copy'], function() {
	gulp.src(['/Users/lyn/MAIN/01 PM/plugins/unbranded/privatelabel/pm-lead-filter/pm-lead-filter.php'])
		.pipe(replace('PM Tailored Image', '__PluginName__'))
		.pipe(replace('http://www.pluginmill.com', '__PluginUri__'))
		.pipe(replace('Needs description', '__PluginDesc__'))
		.pipe(replace('Lynette Chandler', '__PluginAuthor__'))
		.pipe(replace('http://www.techbasedmarketing.com', '__AuthorUri__'))
		.pipe(gulp.dest('/Users/lyn/MAIN/01 PM/plugins/unbranded/privatelabel/pm-lead-filter/'));
});

// Prep for delivery
gulp.task('delivery', ['copy', 'unbrand']);

// Reload
gulp.task('reload', function() {
	gulp.src(['pm-lead-filter/*.php'])
	.pipe(livereload())
});
// Watch
gulp.task('watch', function() {
	livereload.listen();
	gulp.watch(['pm-lead-filter/*.php', 'pm-lead-filter/modules/**'], ['reload']);
});

// Default gulp task
gulp.task('default', function() {
});