<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://www.pluginmill.com
 * @since      9.1.0.0
 *
 * @package    Pm_Lead_Filter
 * @subpackage Pm_Lead_Filter/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      9.1.0.0
 * @package    Pm_Lead_Filter
 * @subpackage Pm_Lead_Filter/includes
 * @author     Lynette Chandler <lynette@pluginmill.com>
 */
class Pm_Lead_Filter_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    9.1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'pm-lead-filter',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
