<?php
/**
 *
 * @link              https://www.pluginmill.com
 * @since             9.1.0.0
 * @package           Pm_Lead_Filter
 *
 * @wordpress-plugin
 * Plugin Name:       WP Lead Filter
 * Plugin URI:        http://resell-rights-weekly.com/
 * Description:       Reach the right audience with the correct message!
 * Version:           9.1.0.0
 * Author:            RRW
 * Author URI:        http://resell-rights-weekly.com/
 * Text Domain:       pm-lead-filter
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Constants
define( 'PM_LEAD_FLTR_PLUGIN_NAME', 'WP Lead Filter' );
define( 'PM_LEAD_FLTR_AW_APP_ID', '436dc91e' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-pm-lead-filter-activator.php
 */
function activate_pm_lead_filter() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-pm-lead-filter-activator.php';
	Pm_Lead_Filter_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-pm-lead-filter-deactivator.php
 */
function deactivate_pm_lead_filter() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-pm-lead-filter-deactivator.php';
	Pm_Lead_Filter_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_pm_lead_filter' );
register_deactivation_hook( __FILE__, 'deactivate_pm_lead_filter' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-pm-lead-filter.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    9.1.0.0
 */
function run_pm_lead_filter() {

	$plugin = new Pm_Lead_Filter();
	$plugin->run();

}
run_pm_lead_filter();

/**
 * Update class
 */
function pm_lead_filter_filter_update_checks($queryArgs) {
    $pm_lead_filter_opts = get_option('pm_lead_filter_opts');
    if ( !empty($pm_lead_filter_opts['keys']['support']) ) {
        $queryArgs['license_key'] = $pm_lead_filter_opts['keys']['support'];
    }
    return $queryArgs;
}
$pm_lead_filter_update_check = PucFactory::buildUpdateChecker('http://drop.pluginmill.com/wp-update-server/?action=get_metadata&slug=pm-lead-filter', __FILE__, 'pm-lead-filter');
$pm_lead_filter_update_check->addQueryArgFilter('pm_lead_filter_filter_update_checks');