/*
 * Public facing JS
 */
jQuery(document).ready( function($){
	var validCookie = readCookie( 'pm_lead_filter' );
	if( validCookie )
		return;

	if( pm_lead_filter_obj.delay ) {
		if( $.browser.mobile === true ) {
			$(window).scroll( function() {
				openMobilePop();
				toCookie( pm_lead_filter_obj.cookie_duration );
			});
		} else {
			setTimeout(openPopup, pm_lead_filter_obj.delay*1000);
			toCookie( pm_lead_filter_obj.cookie_duration );
		}
	} else {
		if( $.browser.mobile === true ) {
			openMobilePop();
			toCookie( pm_lead_filter_obj.cookie_duration );
		} else {
			openPopup();
			toCookie( pm_lead_filter_obj.cookie_duration );
		}
	}

	$('#pm-lead-filter-btn1').on('click', function(e) {
		e.preventDefault();
		$('#pm-lead-filter-content').hide();
		$('#pm-lead-filter-cta-opts').hide();
		$('#pm-lead-filter-cta-cont-btn1').show();
	});

	$('#pm-lead-filter-btn2').on('click', function(e) {
		e.preventDefault();
		$('#pm-lead-filter-content').hide();
		$('#pm-lead-filter-cta-opts').hide();
		$('#pm-lead-filter-cta-cont-btn2').show();
	});

	$('.pm-lead-filter-submit').on('click', function(e) {
		e.preventDefault();

		var data = {
			'action': 'pm_lead_filter_subscribe',
			'nonce': pm_lead_filter_obj.nonce,
			'email_service': $(this).data('emailservice'),
			'campaignid': $(this).data('campaignid'),
			'listid': $(this).data('listid'),
			'button': $(this).data('button'),
			'name': $(this).prev().prev().val(),
			'email': $(this).prev().val(),
			'clientip': pm_lead_filter_obj.clientip,
		};
		//console.log(data); return false;
		$(this).parent().html("<div class='preloader'></div>");

		$.post(pm_lead_filter_obj.ajaxurl, data, function(response) {
			if(data.button === 'button1') {
				$('#pm-lead-filter-cta-cont-btn1').html(response);
			} else {
				$('#pm-lead-filter-cta-cont-btn2').html(response);
			}
		});

	});

	// Open popup
	function openPopup() {
	$.magnificPopup.open({
		items: {
			src: '#pm-lead-filter-frame',
			type: 'inline'
		}
	});
	}
	function openMobilePop() {
		$('#pm-lead-filter-frame').addClass('pm-lead-filter-mobile-pop').append('<button title="Close" type="button" class="mfp-close">x</button>');
		$('.mfp-close').on('click', function() {
			$('#pm-lead-filter-frame').removeClass('pm-lead-filter-mobile-pop').hide();
		});
	}

	// To cookie or not
	function toCookie( cookie_duration ) {
		if( cookie_duration ) {
			SetCookie( 'pm_lead_filter', 1, cookie_duration );
		}
	}

	// Set Cookie
	function SetCookie(cookieName,cookieValue,nDays) {
	 var today = new Date();
	 var expire = new Date();
	 if (nDays===null || nDays===0) nDays=1;
	 expire.setTime(today.getTime() + 3600000*24*nDays);
	 document.cookie = cookieName+"="+escape(cookieValue) + ";expires="+expire.toGMTString()+"; path=/";
	}
	// Read Cookie
	function readCookie(cookieName) {
	 var re = new RegExp('[; ]'+cookieName+'=([^\\s;]*)');
	 var sMatch = (' '+document.cookie).match(re);
	 if (cookieName && sMatch) return unescape(sMatch[1]);
	 return '';
	}

}); // global end